Subject: Re: [PATCH v1 0/2] Add 100 base-x mode

From: Russell King - ARM Linux admin <[email-masked]>
Date: Tue, 12 Jan 2021 16:05:32 +0000

On Tue, Jan 12, 2021 at 03:33:34PM +0100, Bjarni Jonasson wrote:
> On Mon, 2021-01-11 at 14:18 +0000, Russell King - ARM Linux admin
> wrote:
> > EXTERNAL EMAIL: Do not click links or open attachments unless you
> > know the content is safe
> > 
> > On Mon, Jan 11, 2021 at 02:06:55PM +0100, Bjarni Jonasson wrote:
> > > Adding support for 100 base-x in phylink.
> > > The Sparx5 switch supports 100 base-x pcs (IEEE 802.3 Clause 24)
> > > 4b5b encoded.
> > > These patches adds phylink support for that mode.
> > > 
> > > Tested in Sparx5, using sfp modules:
> > > Axcen 100fx AXFE-1314-0521
> > > Cisco GLC-FE-100LX
> > > HP SFP 100FX J9054C
> > > Excom SFP-SX-M1002
> > 
> > For each of these modules, please send me:
> > 
> > ethtool -m ethx raw on > module.bin
> > 
> > so I can validate future changes with these modules. Thanks.
> > 
> > --
> > RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
> > FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!
> 
> I've included the dump from ethtool for:
> Axcen 100fx AXFE-1314-0521
> Axcen 100lx AXFE-1314-0551
> Excom SFP-SX-M1002
> HP SFP 100FX J9054C
> The "ethtool raw" output seems a bit garbled so I added the hex output
> as well.

It is exactly the command that I quoted above that I require. Yes,
the output will be "garbled" as it is a raw binary dump of the EEPROM
contents - it's not meant to be displayed directly on the console.

Please resend.

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!